Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::for_each_n_fn Struct Reference
Algorithms

## Public Member Functions
template<typename I , typename F , typename P = identity>
auto | operator() (I begin, iter_difference_t< I > n, F fun, P proj=P{}) const -> I requires input_iterator< I > &&indirectly_unary_invocable< F, projected< I, P >>
template<typename Rng , typename F , typename P = identity>
auto | operator() (Rng &&rng, range_difference_t< Rng > n, F fun, P proj=P{}) const -> safe_iterator_t< Rng > requires input_range< Rng > &&indirectly_unary_invocable< F, projected< iterator_t< Rng >, P >>